package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_ABS__RATIONAL {
	private static final ValueRational do_ABS(Context context, ValueRational x) {
		
		// Returns the absolute value of a RATIONAL value.
			return ValueRational.select(context.getGenerator(), Math.abs(x.doubleValue()));
	}

	public static final void execute(Context context) {
		ValueRational p0 = (ValueRational)context.pop();
		context.push(do_ABS(context, p0));
	}
}